SystemOrganization addCategory: #LearnCanvas!

Morph subclass: #LearnCanvasMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

LearnCanvasMorph subclass: #AlphaBlendingMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!AlphaBlendingMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 19:32'!
drawOn: aCanvas
	[|alphaCanvas|
	super drawOn: aCanvas.
	alphaCanvas := aCanvas asAlphaBlendingCanvas: 0.4.
	alphaCanvas  fillOval: self bounds color: Color green.
	alphaCanvas fillRectangle: (self bounds insetBy: 20) color: Color blue.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

LearnCanvasMorph subclass: #ClipByDuringMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!ClipByDuringMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 20:57'!
drawOn: aCanvas
	[super drawOn: aCanvas.
	aCanvas clipBy: (self bounds insetBy: 20) 
		during: 
		[:canvas| 
			canvas fillOval: self bounds color: Color green.
		].
	aCanvas frameOval: self bounds color: Color orange.
	aCanvas frameRectangle: (self bounds insetBy: 20) color: Color orange.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

LearnCanvasMorph subclass: #DrawPolygonMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!DrawPolygonMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 20:37'!
drawOn: aCanvas
	[ | rect |
	super drawOn: aCanvas.
	rect := self bounds insetBy: 20.
	aCanvas drawPolygon: {rect topLeft. rect center. rect topRight. rect bottomRight. rect bottomLeft} color: Color blue borderWidth: 2 borderColor: Color green.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

LearnCanvasMorph subclass: #DrawStringMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!DrawStringMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 19:16'!
drawOn: aCanvas
	[super drawOn: aCanvas.
	aCanvas drawString: 'Simple as that.' at: self topLeft.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

LearnCanvasMorph subclass: #FrameOvalMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!FrameOvalMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 19:17'!
drawOn: aCanvas
	[super drawOn: aCanvas.
	aCanvas frameOval: self bounds color: Color orange.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

LearnCanvasMorph subclass: #FrameRectangleMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!FrameRectangleMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 19:18'!
drawOn: aCanvas
	[super drawOn: aCanvas.
	aCanvas frameRectangle: (self bounds insetBy: 20) color: Color orange.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

LearnCanvasMorph subclass: #GreenEllipseMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!GreenEllipseMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 19:09'!
drawOn: aCanvas
	[super drawOn: aCanvas.
	aCanvas fillOval: self bounds color: Color green.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

!LearnCanvasMorph classSide methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 19:10'!
newAndOpenWindow
	|x w|
	x := self new.
	w := x openInWindowLabeled: x class name.
	w extent: 300@300.
! !

LearnCanvasMorph subclass: #LearnRectangleMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!LearnRectangleMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 19:13'!
drawOn: aCanvas
	[super drawOn: aCanvas.
	aCanvas fillRectangle: (self bounds insetBy: 20) color: Color blue.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

LearnCanvasMorph subclass: #LineToMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!LineToMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 19:21'!
drawOn: aCanvas
	[super drawOn: aCanvas.
	aCanvas line: self topRight to: self bottomLeft color: Color red.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

LearnCanvasMorph subclass: #PaintImageMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!PaintImageMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 19:28'!
drawOn: aCanvas
	[super drawOn: aCanvas.
	aCanvas paintImage: (Form allInstances select: [:each| each width between: 20 and: 50]) anyOne at: self topLeft.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

LearnCanvasMorph subclass: #RedEllipseMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!RedEllipseMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 19:09'!
drawOn: aCanvas
	[super drawOn: aCanvas.
	aCanvas fillOval: self bounds color: Color red.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !

LearnCanvasMorph subclass: #ShadowDrawingMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LearnCanvas'!

!ShadowDrawingMorph methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/12/2012 20:32'!
drawOn: aCanvas
	[| shadowCanvas ext inner |
	super drawOn: aCanvas.
	shadowCanvas := aCanvas asShadowDrawingCanvas.
	ext := self extent / 2.
	inner := self bounds insetBy: 20.
	shadowCanvas fillOval: (inner topLeft extent: ext)color: Color red.
	shadowCanvas fillOval: (inner topLeft + 50 extent: ext)color: Color red.
	] on: Error do: [:e| Transcript cr; print: e; flush]! !
